GENERAL ERROR: VERITAS NetBackup (tm) 5.x database agents and add-on packs for UNIX will fail to install after the installation of any of the following NetBackup Security Packs: NB_50_5S1320_M, NB_51_3AS0949_M, NB_50_5S2_M or NB_51_3AS2_M.

Article:TECH44768  |  Created: 2005-01-17  |  Updated: 2005-01-17  |  Article URL http://www.symantec.com/docs/TECH44768
Article Type
Technical Solution

Product(s)

Environment

Issue



GENERAL ERROR: VERITAS NetBackup (tm) 5.x database agents and add-on packs for UNIX will fail to install after the installation of any of the following NetBackup Security Packs: NB_50_5S1320_M, NB_51_3AS0949_M, NB_50_5S2_M or NB_51_3AS2_M.

Error



ERROR: Pack is intended for NetBackup
Release Version(s): 5.1GA.
NetBackup Release currently installed: 5.1MP3AS2
ERROR: Pack will not be installed.

Solution



Overview:

Installing NetBackup 5.x database agent and add-on packs after the installation of the latest security packs will cause the installation to fail.  This applies for any UNIX database agent or add-on pack for NetBackup 5.0 Maintenance Pack 5 or NetBackup 5.1 Maintenance Pack 3A.   Installing Security Packs NB_50_5S1320_M, NB_51_3AS0949_M, NB_50_5S2_M or NB_51_3AS2_M will update the server version file /usr/openv/netbackup/version to reflect the pack level.  Note: This should not be confused with the client version file in /usr/openv/netbackup/bin which does not affect this issue.

Prior to these Security Pack releases, the server version file remained unchanged except to update the RELEASEDATE stored in the file.  The release of these Security Packs required the VERSION line to be updated as well.  This has caused errors when trying to install database agents or add-on packs after the Security Packs have been installed.   The Vrts_pack.install script that is included with database agents and add-on packs does not properly recognize the VERSION entry as valid and the Vrts_pack.install will fail.

Troubleshooting:

The following example shows the error seen when installing the Advanced Client add-on using Vrts_pack.install after the Security Pack NB_51_3AS2_M has been installed.

# Vrts_pack.install
There are 3 packs available in /tmp/patch:
(* denotes installed pack)
NB_ADC_51_3_M
Enter pack name (or q) [q]: NB_ADC_51_3_M

ERROR: Pack NB_ADC_51_3_M is intended for NetBackup
      Release Version(s): 5.1GA.
      NetBackup Release currently installed: 5.1MP3AS2
ERROR: Pack NB_ADC_51_3_M will not be installed.

The Vrts_pack.install does not recognize the Security Pack numbers (5.1MP3AS2) as a valid version of NetBackup.

Log Files:  n/a


Resolution:

The pack installer from the Security Packs can be used to install the database agents and add-on packs.  These installers will recognize the Security Pack as a valid version of NetBackup.

1. Download the latest Security Pack NB_50_5S2_M or NB_51_3AS2_M from the Support Web site.

2. Extract the security pack to the same directory that contains the database agents and add-on packs to install.  When the Security Pack is extracted, it will overwrite the existing Vrts_pack.install with a newer version of the file.  This newer version of the installer can properly handle the changes to the server version file.

3. Run the Vrts_pack.install and install the necessary database agents and add-on packs.

The Vrts_pack.install script used by database agents and add-on products in NetBackup 5.0 Maintenance Pack 6 and NetBackup 5.1 Maintenance Pack 4 will properly handle this change to the server version file.



Legacy ID



280138


Article URL http://www.symantec.com/docs/TECH44768


Terms of use for this information are found in Legal Notices